| uartpsv Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XUartPsv Struct Reference
Overview

The XUartPsv driver instance data structure. More...

## Data Fields
XUartPsv_Config | Config
| Configuration data structure. More...
u32 | InputClockHz
| Input clock frequency. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | BaudRate
| Current baud rate. More...
XUartPsvBuffer | SendBuffer
| Buffer to hold tx data. More...
XUartPsvBuffer | ReceiveBuffer
| Buffer to hold rx data. More...
XUartPsv_Handler | Handler
| Function ptr to hold user handler. More...
void * | CallBackRef
| Callback reference for event handler. More...

## Detailed Description

The XUartPsv driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

u32 XUartPsv::BaudRate

Current baud rate.

Referenced by XUartPsv_GetDataFormat(), and XUartPsv_SetBaudRate().

void* XUartPsv::CallBackRef

Callback reference for event handler.

Referenced by XUartPsv_InterruptHandler(), and XUartPsv_SetHandler().

XUartPsv_Config XUartPsv::Config

Configuration data structure.

Referenced by UartPsvPolledExample(), XUartPsv_CfgInitialize(), XUartPsv_GetDataFormat(), XUartPsv_GetFifoThreshold(), XUartPsv_GetInterruptMask(), XUartPsv_GetModemStatus(), XUartPsv_GetOperMode(), XUartPsv_GetOptions(), XUartPsv_InterruptHandler(), XUartPsv_IsSending(), XUartPsv_ProgramCtrlReg(), XUartPsv_ReceiveBuffer(), XUartPsv_SelfTest(), XUartPsv_Send_NoWait(), XUartPsv_SendBuffer(), XUartPsv_SetBaudRate(), XUartPsv_SetDataFormat(), XUartPsv_SetFifoThreshold(), XUartPsv_SetInterruptMask(), XUartPsv_SetOperMode(), XUartPsv_SetOptions(), XUartPsv_SetRxFifoThreshold(), and XUartPsv_SetTxFifoThreshold().

XUartPsv_Handler XUartPsv::Handler

Function ptr to hold user handler.

Referenced by XUartPsv_CfgInitialize(), XUartPsv_InterruptHandler(), and XUartPsv_SetHandler().

u32 XUartPsv::InputClockHz

Input clock frequency.

u32 XUartPsv::IsReady

Device is initialized and ready.

Referenced by XUartPsv_CfgInitialize(), XUartPsv_GetDataFormat(), XUartPsv_GetFifoThreshold(), XUartPsv_GetModemStatus(), XUartPsv_GetOperMode(), XUartPsv_GetOptions(), XUartPsv_InterruptHandler(), XUartPsv_IsSending(), XUartPsv_Recv(), XUartPsv_SelfTest(), XUartPsv_Send(), XUartPsv_Send_NoWait(), XUartPsv_SetBaudRate(), XUartPsv_SetDataFormat(), XUartPsv_SetFifoThreshold(), XUartPsv_SetHandler(), XUartPsv_SetOperMode(), XUartPsv_SetOptions(), XUartPsv_SetRxFifoThreshold(), and XUartPsv_SetTxFifoThreshold().

XUartPsvBuffer XUartPsv::ReceiveBuffer

Buffer to hold rx data.

Referenced by XUartPsv_CfgInitialize(), XUartPsv_CleanupRx(), XUartPsv_ReceiveBuffer(), and XUartPsv_Recv().

XUartPsvBuffer XUartPsv::SendBuffer

Buffer to hold tx data.

Referenced by XUartPsv_CfgInitialize(), XUartPsv_CleanupTx(), XUartPsv_Send(), XUartPsv_Send_NoWait(), and XUartPsv_SendBuffer().